/*Каркас сайта*/
body {
    margin:0;
    background:#CCDCF3;
    font-size:16px;
    font-family:"PT Sans";
}
.wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
  }
.footer {
    flex: 0 0 auto;
  }
.container{
  max-width: 1200px;
  margin: auto;
  margin-top:0 ;
}
.products-block{
    display: flex;
    margin-top: 20px;
}
.left-menu{
    width: 290px;
    height: auto;
    display: flex;
    flex-direction: column;
    background: #ffffff;
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.25);
    border-radius: 13px;
}
.left-menu-caption{
    margin-left: auto;
    margin-right: auto;
}
.input-price{
    width: 40%;
    margin-left: auto;
    margin-right: auto;
    border: 3px solid;
    border-radius: 6px;
    background-color:#ffffff;
    border-color: #657AE8;
    font-size: 18px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
.korzina-text:hover{
    cursor: pointer;
    color: #606FF1;
}
.location{
    cursor: pointer;
}
.korzina-text:last-child{
    font-weight: bold;
    font-size: 18px;
}
.filter-list-p{
    cursor: pointer;
}

.input-price-block{
    text-align: center;
}
.price-text{
    padding-left: 15px;
    font-weight: bold;
    margin-top: 0;
}
.filter-price{
    margin-bottom: 12px;
}
.filter-block{
    margin: auto;
    height: 150px;
    background: #CCDCF3;
    width: 90%;
    overflow: auto;
    margin-bottom: 20px;
    font-weight: bold;
    font-size: 14px;
    border: 2px solid #657AE8;
    border-radius: 10px;
}
a{
    text-decoration: none;
    color: black;
}
a:hover { 
    color: #606FF1;
}
#scroll::-webkit-scrollbar {
    width: 8px; /* ширина для вертикального скролла */
    background-color: #ffffff;
    border-radius: 13px;
    border: 1px solid gray;
}
#scroll::-webkit-scrollbar-thumb{
    background-color: #657AE8;
    border-radius: 13px;
}
#button:hover {
    background:#657AE8 ;
    cursor: pointer;
  }
#button:active {
    background-color: rgb(143, 153, 199);
    box-shadow: 0px 0px 5px 0px #657AE8;
  }
#button{
    height: 40px;
    width: 100px;
    border-radius: 13px;
    background-color: #CCDCF3;
    border: 1px solid gray;
    margin: auto;
    margin-bottom: 10px;
    transition-duration: 0.5s;
}
.checkbox:hover{
    background-color:#657AE8;
    color: white;
    border-radius: 13px;
    
}
.checkbox{
    transition-duration: 0.5s;
}
.list-name{
    color: black;
    font-weight:900;
    font-size: 36px;
    line-height: 47px;
    margin-top: 0;
    margin-top:3%;
    margin-bottom: 0;
    width: 50%;
}
.goods-count{
    font-size: 25px;
    color: gray;
}
.aviable{
    color: #606060;
    font-weight: 700;
}
.aviable-shops{
    text-decoration: underline;
    cursor: pointer;
}
.filter-list{
    text-align: right;
    width:50%;
    font-weight: bolder;
    color: black;
    font-size: 18px;
    margin-top: 3%;
}
.filter-list-p{
    margin: 0;
}
.products-list{
    width: 75%;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
}
.filter-block-list{
    display: flex;
    gap: 20px;
    float: right;
    margin-top: 5%;
}
.product{
    background-color: white;
    width: 100%;
    height: 250px;
    margin-top: 20px;
    border-radius: 13px;
    display: flex;
}
.product:hover{
    filter: drop-shadow(0px 4px 20px rgba(0, 0, 0, 0.25));
}
.product-img-block{
    width: 25%;
    margin: auto;
    padding-left: 18px;
}
.product-description{
    width: 50%;
    display: flex;
    flex-direction: column;
    
}
.product-price{
    width: 25%;
    display: flex;
    flex-direction: column;
    text-align: right;
    padding-right: 18px;
}
.product-name{
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 0;
}
.product-rating{
    display: flex;
    gap: 10px;
    font-size: 18px;
    height: 30px;
    margin-bottom: 0;
}
.stars{
    font-weight: bold;
    margin-top: 5px;
}
.reviews{
    margin-top: 5px;
    padding-top: 3px;
    font-size: 16px;
    color: gray;
}
.description{
    display: contents;
    margin: 0;
    display: flex;
    margin: 1px 0;
    
}
.article-description{
    margin: 0;
    margin-top: 10px;
    color: gray;
}
.description-value{
    margin: 0;
    margin-top: 10px;
    padding-left: 10px;
}
.price{
    font-size: 28px;
    font-weight: 700;
    margin: 0;
    margin-top: 20px;
}
.discount{
    font-size: 18px;
    color: gray;
    margin: 0;
    text-decoration: line-through;
    font-weight: 700;
}
.to-cart-button{
    background-color: #657AE8;
    height: 40px;
    color: white;
    font-weight: 700;
    font-size: 20px;
    border-radius: 9px;
    border: none;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    width: 150px;
    padding-left: 20px;
    padding-right: 20px;
}
.to-cart-button:hover{
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.25);
    cursor: pointer;
}
.product-interactions{
    margin: auto;
    height: 40px;
    display: flex;
    margin-bottom: 18px;
}
.product-like{
    width: 80px;
}
.like-icon-product{
    width: 40px;
    margin-right: 20px;
}
.like-icon-product:hover{
    background-color: #9a8517;
    border-radius: 6px;
    filter: invert(100%);
    cursor: pointer;
}
.top-articles{
    display: flex;
}
.product:first-child{
    margin-top: 0px;
}
.product-name:hover{
    color: #657AE8;
    cursor: pointer;
}
#check-burger{
    width: 100%;
    height: 100%;
    opacity: 0;
}
.mobile-menu{
    display: flex;
    width: 100%;
    height: 10%;
    background-color: #606FF1;
    position: fixed;
    top: 92%;
    padding-bottom: 12px;
    z-index: 999;
    border-top: 2px solid lightcyan;
    border-radius: 15px 15px 0 0;
    
  }
  .mobile-menu{
    display: none;
  }
  .mobile-menu-el{
    width: 20%;
    height: 100px;
    margin: auto;
    text-align: center;
  }
  .mobile-menu-img{
    margin-top: 11px;
  }
  figure{
    width: 50px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }
  
  .mobile-menu-icon{
    width: 70%;
  }
  figcaption{
    color: white;
    font-size: 14px;
    font-weight:600;
    
  }
@media only screen and (max-width: 1200px) {
    .left-menu{
        width: 234px;
        margin-left: 20px;
    }
    .container{
        width: 1000px;
    }
    .product-img{
        width: 95%;
    }
    .description{
        margin: 0 0;
    }
    .article-description,.description-value{
        margin-top: 8px;
    }
    .product-interactions{
        margin: 0;
        margin-top: 30%;
        display: flex-block;
    }
    .products-list{
        margin-right: 20px;
    }
    .top-articles{
        margin-right: 20px;
        margin-left: 20px;
    }
    .to-cart-button{
        padding-left: 10px;
        padding-right: 10px;
    }
}
@media only screen and (max-width: 1000px){
    .left-menu{
        top: -2000px;
        position: absolute;
    }
    .top-articles{
        margin: 0;
    }
    .mobile-menu{
        display: flex;
    }
    #izbr{
        margin-left: 10px;
    }
    .menu-el-text {
        font-size: 15px;
        margin-top: auto;
        margin-bottom: auto;
        
      }
      .container{
        width: 96%;
      }
      .menu-el:last-child {
        margin:auto
      }
      .menu-el:first-child {
        margin: auto;
      }
      .menu-img{
        width: 40px;
        margin-top: auto;
        margin-bottom: auto;
      }
      .menu-el{
        border: 2px solid rgb(231, 228, 228);
        margin-top: 0%;
        border-top: none;
        height: 100px;
      }
      .header-menu-ul{
        display: none;
      }
      .korzina, .korzina-text{
        display: none;
      }
    
      #menu-top{
        height: 100px;
        padding-bottom: 20px;
      }
      .menu-content{
        display: flex;
        flex-direction: column;
      }
      .wrap{
        width: 90%;
        margin-right: auto;
        margin-left: auto;
        padding: 0;
        }
        .searchTerm {
          height: 30px;
          }
        .searchButton{
          height: 30px;
        }
        #header{
          height: 150px;
        }
      .menu-el{
        width: 45%;
        height: 20%;
        border-radius: 12px;
        background: white;
        margin: auto;
        flex-direction: column;
      }
      .products-block{
          width: 100%;
          flex-direction: column;
      }
      .products-list{
          width: 100%;
          margin-left: 0;
          margin-right: 0;
      }
      .filter-list-p{
          display: none;
      }
      .filter-list-p:last-child{
          display: flex;
          gap: 10px;
          margin: auto;
      }
      .filters-burger-text{
          margin: 0;
          padding-top:6px;
      }
      .product-interactions{
          margin-top: 25%;
         
      }
      .left-menu{
          font-size: 25px;
          width: 100%;
      }
      .input-price{
          height: 50px;
          padding-left: 20px;
          font-size: 20px;
      }
      .checkbox{
          font-size: 25px;
      }
      .filter-block{
          height: 300px;
      }
      .burger{
          background:url('../images/icons/burger.png') 100% 100% no-repeat;
          background-size: contain;
          display: flex;
          width: 50px;
          height: 50px;
          background-position: center;
      }
      .top-articles{
        display: inline;
    }
    .list-name{
        display: inline-block;
        width: 75%;
        font-size: 30px;
    }
    .filter-list{
        display: inline-block;
        width: 60px;
        float:right;
        margin-top: 22px;
    }
    #button{
        font-size: 20px;
    }
      
}
@media only screen and (max-width: 800px){
    .product{
        flex-direction: column;
        height: 470px;
    }
    .product-img{
        width: 250px;
        
    }
    .product-img-block{
        width: 100%;
        padding: 0;
        text-align: center;
        margin:  0;
        margin-top: 15px;
    }
    .product-description{
        width: 95%;
        margin-left: auto;
        margin-right: auto;
        
    }
    .description{
        width: 100%;
        display: inline-block;
        text-align: left;
        font-size: 17px;
    }
    .description-value{
        display: inline; 
    }
    .article-description{
        display: inline;
    }
    .product-price{
        width: 95%;
        padding: 0;
        margin-left: auto;
        margin-right: auto;
        flex-direction: row;
        display: inline;
    }
    .price{
        margin: 0;
    }
    .price-mobile-container{
        width: 45%;
        text-align: left;
        display: inline-block;
        float: left;
        margin-top: 5px;
    }
    .product-interactions{
        display: inline-flex;
        height: 60px;
        width: 200px;
        margin: 0;
        margin-top: 45px;
        
    }
    .to-cart-button{
        display: inline-block;
    }
    .product-like{
        display: inline-block;
    }
    .product-like{
        height: 60px ;
        text-align: center;
    }
    
    .aviable{
        margin: 0;
    }
    .product-rating{
        margin-bottom: 5px;
    }
}
@media only screen and (max-width: 740px){
    .filter-list{
        margin-top: 18px;
    }
    .filter-block-list{
        margin: 0;
    }
    .products-block{
        margin-top: 10px;
    }
    
}
@media only screen and (max-width: 450px) {
    .top-articles{
        display: block;
        margin: 0;
    }
    .description{
        font-size: 15px;
    }
    .price{
        font-size: 25px;
    }
    .discount{
        font-size: 15px;
    }
    .product-interactions{
        margin-top: 35px;
        width: 160px;
    }
    .aviable{
        font-size: 13px;
    }
    .like-icon-product{
        width: 35px;
    }
    .to-cart-button{
        font-size: 16px;
        height: 35px;
    }
}
@media only screen and (max-width: 380px){
    figcaption{
        font-size: 12px;
      }
    }
@media only screen and (max-width: 340px){
    .like-icon-product{
        width: 30px;
        margin: 0;
        padding-top: 4px;
    }
    .price-mobile-container{
        width: 48%;
    }
    .product-like{
        width: 60px;
    }
    .to-cart-button{
        width: 120px;
    }
    .product-interactions{
        width: 150px;
    }
    .mobile-menu-icon{
    }
}

@media only screen and (max-width: 320px){
    .container{
        width: 300px;
    }
    .product-interactions{
        width: 144px;
    }
    .to-cart-button{
        font-size: 14px;
    }
    .price-mobile-container{
        width: 49%;
    }
}

@media only screen and (max-width: 351px){

    .spec{
        margin-bottom: 10%;
    }
    .ustal{
        margin-top: -30%;
        width: 85%;
    }

    .itgtext{
        font-size: 10px;
    }

    .ustal{
        padding-bottom: 0px;
    }
}


@media only screen and (max-width: 700px){
    .foot{
        display: flex;
        margin: 0 auto;
    }
    footer{
        height: 1500px;

    }
    .foot{
        width: 100%;
        margin-bottom: -10%;
    }
    footer h1{
        text-align: center;
        margin: 0 auto;
    }
    .ustal{
        padding-bottom: 10%;
    }

    .foot.forclients{
        text-align: left;
    }
    .spec_two, .spec_three ul{
	width:200px;
	}
}

@media only screen and (max-width: 450px){
    footer{
        height: 120%;
    }
}

@media only screen and (max-width: 1000px){
    footer{
        height: 75%;
    }
}

@media only screen and (max-width: 650px){
    .ustal{
        padding-bottom: 65px;
    }

    footer{
        height: 120%;
    }
}
